#ifndef RIS_FORM_H
#define RIS_FORM_H

#include <QDialog>

#include <my_image.h>
#include "funkce.h"

namespace Ui {
    class ris_form;
}

class ris_form : public QDialog {
    Q_OBJECT
public:
    ris_form(QWidget *parent = 0);
    ~ris_form();

    my_image * apply_filt(my_image * new_image);//tato funke aplykuje veskere filtry vstupni obraz --alokuje pamet
    void load_image(my_image * image);
    int Count_Number;

    int Count_Cis2Ris_CIS;
    int Count_Cis2Ris_pocet;
    int Count_Cis2Ris_delka;

    int Count_Ris_pocet;
    int Count_Ris_delka;

    int Count_Cis_pocet;
    int Count_Cis_dif;

protected:
    void changeEvent(QEvent *e);
    Ui::ris_form *ui;
    my_image * img;
private:

public slots:
    void ChangeNumber();
    void Check_Edege();
    void Show_image();
    void Btn_OK();
signals:
    void Form_Close();

};

#endif // RIS_FORM_H
